.module--carousel-testimonials .module__inner[data-autoplay="true"][data-autoplay-speed="0"] .swiper-wrapper {
	transition-timing-function: linear;
}

.module--carousel-testimonials .module--carousel-testimonials__slide {
	display: flex;
	flex-flow: column;
	gap: calc(var(--spacing-base) * 15);
	border: 1px solid var(--light-gray-color);
	padding: calc(var(--spacing-base) * 6);
	border-radius: calc(var(--spacing-base) * 3);
	background-color: var(--white-color);
	align-items: flex-start;
	height: auto;
	transition: background-color var(--normal-transition) ease-in-out;
}

.module--carousel-testimonials .module--carousel-testimonials__slide:hover {
	background-color: var(--black-color);
}

.module--carousel-testimonials .module--carousel-testimonials__slide .module--carousel-testimonials__slide-description *,
.module--carousel-testimonials .module--carousel-testimonials__slide .module--carousel-testimonials__slide-author__infos {
	transition: color var(--normal-transition) ease-in-out;
}

.module--carousel-testimonials .module--carousel-testimonials__slide:hover .module--carousel-testimonials__slide-description *,
.module--carousel-testimonials .module--carousel-testimonials__slide:hover .module--carousel-testimonials__slide-author__infos {
	color: var(--white-color);
}

.module--carousel-testimonials .module--carousel-testimonials__slide:hover  .module--carousel-testimonials__rate__stars::before {
	background-color: var(--second-color);
}

.module--carousel-testimonials .module--carousel-testimonials__slide__heading {
	display: flex;
	flex-flow: row wrap;
	justify-content: space-between;
	gap: calc(var(--spacing-base) * 4);
	width: 100%;
	align-items: center;
}

.module--carousel-testimonials .module--carousel-testimonials__slide-description {
	display: flex;
	flex-flow: column;
	gap: calc(var(--spacing-base) * 2);
}

.module--carousel-testimonials .module--carousel-testimonials__slide-image {
	display: flex;
	flex-flow: column;
	width: calc(var(--spacing-base) * 12);
	height: calc(var(--spacing-base) * 12);
	max-width: 100%;
	position: relative;
	border-radius: calc(var(--spacing-base) * 10);
	overflow: hidden;
}

.module--carousel-testimonials .module--carousel-testimonials__slide-image img {
	object-fit: cover;
	object-position: center center;
	width: 100%;
	height: 100%;
}

.module--carousel-testimonials .module--carousel-testimonials__slide-author {
	display: flex;
	flex-flow: row;
	align-items: center;
	justify-content: flex-start;
	column-gap: var(--column-gap);
}

.module--carousel-testimonials .module--carousel-testimonials__slide-author__infos {
	color: var(--body-font-color);
}

.module--carousel-testimonials .module--carousel-testimonials__slide-author__name {
	font-size: var(--small-font-size);
	line-height: var(--small-line-height);
}

.module--carousel-testimonials .module--carousel-testimonials__slide-author__role {
	font-size: var(--extra-small-font-size);
	line-height: var(--extra-small-line-height);
}

.module--carousel-testimonials .swiper .swiper-controls {
	display: flex;
	flex-flow: row;
	align-items: center;
	justify-content: space-between;
	gap: calc(var(--spacing-base) * 4);
	padding-block: calc(var(--spacing-base) * 4);
}

.module--carousel-testimonials .swiper .swiper-pagination {
	all: unset;
	width: 100%;
	display: flex;
	flex-flow: row wrap;
	align-items: center;
	justify-content: flex-start;
}

.module--carousel-testimonials .swiper .swiper-pagination .swiper-pagination-bullet {
	border-radius: calc(var(--spacing-base) * 4);
	transition: width 250ms ease-in-out;
	background-color: var(--black-color);
	opacity: 1;
}

.module--carousel-testimonials .swiper .swiper-pagination .swiper-pagination-bullet-active {
	width: calc(var(--spacing-base) * 4);
	background-color: var(--first-color);
}

.module--carousel-testimonials .swiper .swiper-navigation {
	display: flex;
	flex-flow: row;
	align-items: center;
	justify-content: center;
	gap: calc(var(--spacing-base) * 3);
}

.module--carousel-testimonials .swiper .swiper-navigation .swiper-button-prev, 
.module--carousel-testimonials .swiper .swiper-navigation .swiper-button-next {
	all: unset;
	display: flex;
	flex-flow: column;
	cursor: pointer;
	width: calc(var(--spacing-base) * 6);
	height: calc(var(--spacing-base) * 6);
}

.module--carousel-testimonials .swiper .swiper-navigation .swiper-button-prev {
	transform: scaleX(-1);
}

.module--carousel-testimonials .swiper .swiper-navigation .swiper-button-prev svg path, 
.module--carousel-testimonials .swiper .swiper-navigation .swiper-button-next svg path {
	fill: var(--black-color);
	transition: fill 250ms ease-in-out;
}

.module--carousel-testimonials .swiper .swiper-navigation .swiper-button-prev:hover svg path, 
.module--carousel-testimonials .swiper .swiper-navigation .swiper-button-next:hover svg path {
	fill: var(--first-color);
}

.module--carousel-testimonials .swiper .swiper-navigation .swiper-button-prev:after, 
.module--carousel-testimonials .swiper .swiper-navigation .swiper-button-next:after {
	display: none;
}

.module--carousel-testimonials .swiper:not(.swiper-initialized) .swiper-wrapper {
	width: auto;
	margin-right: calc(var(--spacing-base) * -5);
}

.module--carousel-testimonials .swiper:not(.swiper-initialized) .module--carousel-testimonials__slide {
	margin-right: calc(var(--spacing-base) * 5);
}

.module--carousel-testimonials .module--carousel-testimonials__rate {
	position: relative;
	overflow: hidden;
}

.module--carousel-testimonials__rate {
	--base-width: 169px;
	--base-height: 25px;
	transform-origin: left center;
}

.module--carousel-testimonials .module--carousel-testimonials__rate svg {
	position: absolute;
	width: 0;
	height; 0;
}

.module--carousel-testimonials .module--carousel-testimonials__rate__stars {
	position: relative;
	width: var(--base-width);
	height: var(--base-height);
	background-color: var(--medium-gray-color);
	mask: url(#svgPathOverall);
}

.module--carousel-testimonials .module--carousel-testimonials__rate__stars::before {
	content: "";
	display: flex;
	position: absolute;
	top: 0;
	left: 0;
	width: var(--rating);
	height: 100%;
	background-color: var(--black-color);
	transition: background-color var(--normal-transition) ease-in-out;
}

@media (width <= 992px) {
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-xs="1"] .module--carousel-testimonials__slide { flex: 0 0 calc(100% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-xs="2"] .module--carousel-testimonials__slide { flex: 0 0 calc(50% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-xs="3"] .module--carousel-testimonials__slide { flex: 0 0 calc(33.333% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-xs="4"] .module--carousel-testimonials__slide { flex: 0 0 calc(25% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-xs="5"] .module--carousel-testimonials__slide { flex: 0 0 calc(20% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-xs="6"] .module--carousel-testimonials__slide { flex: 0 0 calc(16.666% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-xs="7"] .module--carousel-testimonials__slide { flex: 0 0 calc(14.285% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-xs="8"] .module--carousel-testimonials__slide { flex: 0 0 calc(12.5% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-xs="9"] .module--carousel-testimonials__slide { flex: 0 0 calc(11.111% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-xs="10"] .module--carousel-testimonials__slide { flex: 0 0 calc(10% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-xs="11"] .module--carousel-testimonials__slide { flex: 0 0 calc(9.0909% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-xs="12"] .module--carousel-testimonials__slide { flex: 0 0 calc(8.333% - calc(var(--spacing-base) * 6)); }
}

@media (width > 992px) and (width <= 1200px) {
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-md="1"] .module--carousel-testimonials__slide { flex: 0 0 calc(100% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-md="2"] .module--carousel-testimonials__slide { flex: 0 0 calc(50% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-md="3"] .module--carousel-testimonials__slide { flex: 0 0 calc(33.333% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-md="4"] .module--carousel-testimonials__slide { flex: 0 0 calc(25% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-md="5"] .module--carousel-testimonials__slide { flex: 0 0 calc(20% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-md="6"] .module--carousel-testimonials__slide { flex: 0 0 calc(16.666% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-md="7"] .module--carousel-testimonials__slide { flex: 0 0 calc(14.285% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-md="8"] .module--carousel-testimonials__slide { flex: 0 0 calc(12.5% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-md="9"] .module--carousel-testimonials__slide { flex: 0 0 calc(11.111% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-md="10"] .module--carousel-testimonials__slide { flex: 0 0 calc(10% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-md="11"] .module--carousel-testimonials__slide { flex: 0 0 calc(9.0909% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-md="12"] .module--carousel-testimonials__slide { flex: 0 0 calc(8.333% - calc(var(--spacing-base) * 6)); }
}

@media (width > 1200px) {
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-xl="1"] .module--carousel-testimonials__slide { flex: 0 0 calc(100% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-xl="2"] .module--carousel-testimonials__slide { flex: 0 0 calc(50% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-xl="3"] .module--carousel-testimonials__slide { flex: 0 0 calc(33.333% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-xl="4"] .module--carousel-testimonials__slide { flex: 0 0 calc(25% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-xl="5"] .module--carousel-testimonials__slide { flex: 0 0 calc(20% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-xl="6"] .module--carousel-testimonials__slide { flex: 0 0 calc(16.666% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-xl="7"] .module--carousel-testimonials__slide { flex: 0 0 calc(14.285% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-xl="8"] .module--carousel-testimonials__slide { flex: 0 0 calc(12.5% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-xl="9"] .module--carousel-testimonials__slide { flex: 0 0 calc(11.111% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-xl="10"] .module--carousel-testimonials__slide { flex: 0 0 calc(10% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-xl="11"] .module--carousel-testimonials__slide { flex: 0 0 calc(9.0909% - calc(var(--spacing-base) * 6)); }
	.module--carousel-testimonials .swiper:not(.swiper-initialized)[data-items-xl="12"] .module--carousel-testimonials__slide { flex: 0 0 calc(8.333% - calc(var(--spacing-base) * 6)); }

	.dnd-section:has(.module--carousel-testimonials__carousel) {
	  overflow: hidden;	
	}
	
	.module--carousel-testimonials__carousel {
		overflow: visible;
	}
}
